##### 7.5.2.0. bfctOneGB

Procedure from library `bfun.lib` (see bfun_lib).

Usage:
  bfctOneGB(f [,s,t]); f a poly, s,t optional ints

Return:
  list of ideal and intvec

Purpose:
  computes the roots of the Bernstein-Sato polynomial b(s) for the
  hypersurface defined by f, using only one GB computation

Assume:
  The basering is commutative and of characteristic 0.

Background:
  In this proc, the initial Malgrange ideal is computed based on the
  algorithm by Masayuki Noro and combined with an elimination ordering.

Note:
  In the output list, the ideal contains all the roots and the intvec
  their multiplicities.
  If s<>0, `std` is used for the GB computation, otherwise,
  and by default, `slimgb` is used.
  If t<>0, a matrix ordering is used for GB computations,
  otherwise, and by default, a block ordering is used.

Display:
  If printlevel=1, progress debug messages will be printed,
  if printlevel>=2, all the debug messages will be printed.

Example:

    LIB "bfun.lib";
    ring r = 0,(x,y),dp;
    poly f = x^2+y^3+x*y^2;
    bfctOneGB(f);
    ==> [1]:
    ==>    _[1]=-5/6
    ==>    _[2]=-1
    ==>    _[3]=-7/6
    ==> [2]:
    ==>    1,1,1
    bfctOneGB(f,1,1);
    ==> [1]:
    ==>    _[1]=-5/6
    ==>    _[2]=-1
    ==>    _[3]=-7/6
    ==> [2]:
    ==>    1,1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.